Package Details: qt5-quick1 5.7-1

Git Clone URL: https://aur.archlinux.org/qt5-quick1.git (read-only, click to copy)
Package Base: qt5-quick1
Description: Qt Declarative is provided for Qt 4 compatibility
Upstream URL: http://qt-project.org/
Licenses: GPL3, LGPL2.1
Submitter: blackhole
Maintainer: FFY00
Last Packager: FFY00
Votes: 51
Popularity: 0.68
First Submitted: 2016-03-28 11:24
Last Updated: 2018-07-12 19:05

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

blackhole commented on 2016-06-13 08:34

Just checked on my arch system updated just now.
All is fine. Compiled with yaourt.

5.7.0 is not out already. I will see when is ready.


WFCody commented on 2016-06-13 07:51

I had a compilation error - changes between 5.7.0 and 5.6.0?

/home/jens/.cache/aursync/qt5-quick1/src/qtquick1/src/declarative/graphicsitems/qdeclarativetextinput.cpp: In member function ‘void QDeclarativeTextInput::setCursorVisible(bool)’:
/home/jens/.cache/aursync/qt5-quick1/src/qtquick1/src/declarative/graphicsitems/qdeclarativetextinput.cpp:517:17: error: ‘class QWidgetLineControl’ has no member named ‘setCursorBlinkPeriod’; did you mean ‘resetCursorBlinkTimer’?
d->control->setCursorBlinkPeriod(on?QApplication::cursorFlashTime():0);
^~~~~~~~~~~~~~~~~~~~
make[2]: *** [Makefile:11251: .obj/qdeclarativetextinput.o] Error 1
make[2]: Leaving directory '/home/jens/.cache/aursync/qt5-quick1/src/qtquick1/build/src/declarative'


EDIT: noticed that this was fixed in the 5.7 branch, try recompiling with #branch=5.7
https://github.com/qtproject/qtquick1/compare/5.7

EDIT2: setting #branch=5.7 worked!

Laser commented on 2016-05-01 17:15

I also had to use the mirror as adminh said.
Rgds

blackhole commented on 2016-04-17 14:07

What is the command you are using?

donpicoro commented on 2016-04-17 11:41

Hello,

I get this error:
fatal: Not a git repository (or any parent up to mount point /tmp)
Stopping at filesystem boundary (GIT_DISCOVERY_ACROSS_FILESYSTEM not set).

any clues?

Cheers,

/Pico

blackhole commented on 2016-04-05 23:24

Strange, I checked just now and it is working fine, at least with
yaourt -S qt5-quick1
About the branch, this PKGBUILD was inspired by this one
https://github.com/chakraos/core/blob/testing/qt5-quick1/PKGBUILD
I don't know why he is using that specific commit, I guess there is a reason.
I was forced to make this package because of missing dependency of hqplayer, but I would be very happy if someone more expert in qt5 would take this as maintainer!

adminh commented on 2016-04-05 20:33

Failed for me, too. Maybe the server is down. The mirror
git+https://github.com/qtproject/qtquick1.git#branch=5.6
works. I tried with the branch=5.6 fragment, but maybe the commit fragment is better?

blackhole commented on 2016-04-04 07:57

I don't know. here is fine

==> Validating source files with sha1sums...
qtquick1 ... Skipped
==> Extracting sources...
-> Creating working copy of qtquick1 git repo...
Cloning into 'qtquick1'...
done.
Switched to a new branch 'makepkg'
==> Starting prepare()...

hollunder commented on 2016-04-04 07:22

Fils with:
qt5-quick1/qtquick1 is not a clone of https://code.qt.io/qt/qtquick1.git
Aborting...

macxcool commented on 2016-03-31 00:49

I tested on i686. It builds fine and musescore-git that depends on it runs fine.